%define upstream_name    MooseX-Getopt
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Optional meta attribute trait for ignoring params
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch

%description
This is a role which provides an alternate constructor for creating objects
using parameters passed in from the command line.

This module attempts to DWIM as much as possible with the command line
params by introspecting your class's attributes. It will use the name of
your attribute as the command line option, and if there is a type
constraint defined, it will configure Getopt::Long to handle the option
accordingly.

You can use the trait the MooseX::Getopt::Meta::Attribute::Trait manpage or
the attribute metaclass the MooseX::Getopt::Meta::Attribute manpage to get
non-default commandline option names and aliases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 432324
- update to 0.22

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 421836
- update to 0.21

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 394972
- update to 0.20

* Thu Jul 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.190.0-1mdv2010.0
+ Revision: 393832
- adding missing buildrequires:
- using %%perl_convert_version
- fixed license field

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 0.19

* Sat May 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2010.0
+ Revision: 370495
- update to new version 0.18

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2009.1
+ Revision: 352914
- update to new version 0.16

* Wed Dec 03 2008 Jérôme Quelin <jquelin@mandriva.org> 0.15-1mdv2009.1
+ Revision: 309768
- import perl-MooseX-Getopt


* Wed Dec 03 2008 cpan2dist 0.15-1mdv
- initial mdv release, generated with cpan2dist

